import { metrics } from "@opentelemetry/api"

const meter = metrics.getMeter("trpc.contentstack.base")
// OpenTelemetry metrics: ContactConfig
export const getContactConfigCounter = meter.createCounter(
  "trpc.contentstack.contactConfig.get"
)
export const getContactConfigSuccessCounter = meter.createCounter(
  "trpc.contentstack.contactConfig.get-success"
)
export const getContactConfigFailCounter = meter.createCounter(
  "trpc.contentstack.contactConfig.get-fail"
)
// OpenTelemetry metrics: CurrentHeader
export const getCurrentHeaderRefCounter = meter.createCounter(
  "trpc.contentstack.currentHeader.ref.get"
)
export const getCurrentHeaderRefSuccessCounter = meter.createCounter(
  "trpc.contentstack.currentHeader.ref.get-success"
)
export const getCurrentHeaderRefFailCounter = meter.createCounter(
  "trpc.contentstack.currentHeader.ref.get-fail"
)
export const getCurrentHeaderCounter = meter.createCounter(
  "trpc.contentstack.currentHeader.get"
)
export const getCurrentHeaderSuccessCounter = meter.createCounter(
  "trpc.contentstack.currentHeader.get-success"
)
export const getCurrentHeaderFailCounter = meter.createCounter(
  "trpc.contentstack.currentHeader.get-fail"
)

// OpenTelemetry metrics: Header
export const getHeaderRefsCounter = meter.createCounter(
  "trpc.contentstack.header.ref.get"
)
export const getHeaderRefsSuccessCounter = meter.createCounter(
  "trpc.contentstack.header.ref.get-success"
)
export const getHeaderRefsFailCounter = meter.createCounter(
  "trpc.contentstack.header.ref.get-fail"
)
export const getHeaderCounter = meter.createCounter(
  "trpc.contentstack.header.get"
)
export const getHeaderSuccessCounter = meter.createCounter(
  "trpc.contentstack.header.get-success"
)
export const getHeaderFailCounter = meter.createCounter(
  "trpc.contentstack.header.get-fail"
)

// OpenTelemetry metrics: CurrentFooter
export const getCurrentFooterRefCounter = meter.createCounter(
  "trpc.contentstack.currentFooter.ref.get"
)
export const getCurrentFooterRefSuccessCounter = meter.createCounter(
  "trpc.contentstack.currentFooter.ref.get-success"
)
export const getCurrentFooterRefFailCounter = meter.createCounter(
  "trpc.contentstack.currentFooter.ref.get-fail"
)
export const getCurrentFooterCounter = meter.createCounter(
  "trpc.contentstack.currentFooter.get"
)
export const getCurrentFooterSuccessCounter = meter.createCounter(
  "trpc.contentstack.currentFooter.get-success"
)
export const getCurrentFooterFailCounter = meter.createCounter(
  "trpc.contentstack.currentFooter.get-fail"
)

// OpenTelemetry metrics: Footer
export const getFooterRefCounter = meter.createCounter(
  "trpc.contentstack.footer.ref.get"
)
export const getFooterRefSuccessCounter = meter.createCounter(
  "trpc.contentstack.footer.ref.get-success"
)
export const getFooterRefFailCounter = meter.createCounter(
  "trpc.contentstack.footer.ref.get-fail"
)
export const getFooterCounter = meter.createCounter(
  "trpc.contentstack.footer.get"
)
export const getFooterSuccessCounter = meter.createCounter(
  "trpc.contentstack.footer.get-success"
)
export const getFooterFailCounter = meter.createCounter(
  "trpc.contentstack.footer.get-fail"
)

// OpenTelemetry metrics: SiteConfig
export const getSiteConfigRefCounter = meter.createCounter(
  "trpc.contentstack.SiteConfig.ref.get"
)
export const getSiteConfigRefSuccessCounter = meter.createCounter(
  "trpc.contentstack.SiteConfig.ref.get-success"
)
export const getSiteConfigRefFailCounter = meter.createCounter(
  "trpc.contentstack.SiteConfig.ref.get-fail"
)
export const getSiteConfigCounter = meter.createCounter(
  "trpc.contentstack.SiteConfig.get"
)
export const getSiteConfigSuccessCounter = meter.createCounter(
  "trpc.contentstack.SiteConfig.get-success"
)
export const getSiteConfigFailCounter = meter.createCounter(
  "trpc.contentstack.SiteConfig.get-fail"
)
